Bug 496735 - rpmlint incorrectly warns of "hidden" man page
rpmlint incorrectly warns of "hidden" man page
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 17:00 EDT by Nalin Dahyabhai
Modified: 2009-07-16 03:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.90-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-13 01:11:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2009-04-20 17:00:42 EDT
When run against the krb5-libs package, rpmlint-0.87-1.fc11 is printing a hidden-file-or-dir warning about the man page for the ".k5login" file (/usr/kerberos/man/man5/.k5login.5.gz).  The man page documents the ~/.k5login file.

There doesn't seem to be strong precedent for how to deal with things which start with "." -- bash package includes a man page for its '.' builtin, but the mutt package removes the "." from .muttrc.  I figure we can just accept the upstream name.
Comment 1 Ville Skyttä 2009-05-18 15:43:16 EDT
Agreed, warning for this man page will be filtered out in the next rpmlint package release.
Comment 2 Bug Zapper 2009-06-09 10:14:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2009-06-21 18:00:51 EDT
rpmlint-0.89-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpmlint-0.89-1.fc11
Comment 4 Fedora Update System 2009-06-21 18:02:09 EDT
rpmlint-0.89-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpmlint-0.89-1.fc10
Comment 5 Fedora Update System 2009-06-29 11:46:18 EDT
rpmlint-0.90-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpmlint-0.90-1.fc11
Comment 6 Fedora Update System 2009-06-29 11:48:36 EDT
rpmlint-0.90-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpmlint-0.90-1.fc10
Comment 7 Fedora Update System 2009-07-16 03:26:55 EDT
rpmlint-0.90-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-07-16 03:29:32 EDT
rpmlint-0.90-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.